Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Mark notification as read

PATCH/workspaces/{organizationId}/notifications/{id}/read
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Notification marked read

idstringrequired
organizationIdstringrequired
recipientIdstringrequired
recipientTypestringrequired
issueIdstringrequired
typestringrequired
readbooleanrequired
snoozedUntilstring | nullrequired
metadataany | null
createdAtstringrequired
updatedAtstringrequired
404

Notification not found

Try it
Server
Authorization
Parameters
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/notifications/string/read' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "recipientId": "string",
  "recipientType": "string",
  "issueId": "string",
  "type": "string",
  "read": true,
  "snoozedUntil": "string",
  "metadata": null,
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?